Skip to main content

PhoneME Build Issue

Please note these forums are being decommissioned and use the new and improved forums at
1 reply [Last post]
Joined: 2011-10-04


When i build my phoneME , i got the follwoing error

[exec] Compiling phoneME Advanced classes...
[exec] error: error reading e:\OCAP_STACKS\RI_I1_1_4_REL_K\ri\RI_Stack\jvm\phoneME\phoneME\build\mpe-x86-cygmingw\; cannot read zip
file entry
[exec] Note: Some input files use or override a deprecated API.
[exec] Note: Recompile with -Xlint:deprecation for details.
[exec] 1 error
[exec] make: *** [.compile.libclasses] Error 1

I attached the log here,

the folder is having full access permission.
but when we try to open this zip file directly it says
" invalid file "
how to solve this?

phoneme_btclasses_err.txt11.83 KB

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
Joined: 2008-07-03

I have never heard of anyone encountering this error before. Just to double-check your process, make sure you:

1) Comment out the following line in $OCAPROOT/target/CableLabs/simulator/Win32/debug/


2) From $OCAPROOT, run "ant clean purge build".

Other than that, I will take a look at your log a little more closely and see if I can see anything else.